Skip to main content
Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces
PUTImage Storage Related InterfacesSince 4.7.11SynchronousAuth Required

Sync Image from Backup Storage Metadata

Sync Image from Backup Storage Metadata

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • imageStoreUuidStringRequired

    Image Storage UUID

Body Fields

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/backup-storage/image-store/{imageStoreUuid}/actions

/zstack/v1/backup-storage/image-store/{imageStoreUuid}/actions

Operation ID

SyncImage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/image-store/{imageStoreUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history